It seems like not a week goes by without some news about Vista and the Microsoft products that it won't support.

Vista had already diminished itself, in my opinion, by placing oppressively heavy hardware requirements on the user community.  Now, as many of us are hearing, Vista won't support older versions of Visual Studio or of SQL Server.  Witness the following quote:

"Developers writing Vista-compatible applications will be unable to use Visual Studio 2002 or Visual Studio 2003 if those are running on top of the new operating system", wrote S. Somasegar, vice president of Microsoft's developer division, in a blog entry.
http://www.infoworld.com/article/06/09/26/HNvisualstudioupdate_1.html.  Visual Studio 2005 SP1 Beta and Visual Studio support for Vista "Visual Studio 2005 SP1 will run on Vista but will likely have a few compatibility issues" http://blogs.msdn.com/somasegar/archive/2006/09/26/772250.aspx

...And that's only Visual Studio.  SQL Server has similar limitations.  As the Microsoft TechNet site states: "In an effort to provide customers with more secure products, Microsoft Windows Server "Longhorn" and Microsoft Windows Vista will only support SQL Server 2005 Service Pack 2 (SP2) or later when it becomes available. Earlier versions of SQL Server, including SQL Server 2000 (all editions including Desktop Engine edition, a.k.a MSDE), SQL Server 7.0, and SQL Server 6.5, will not be supported on Windows Server "Longhorn" or Windows Vista"

SQL Server 2000 and VB6 are sounding better all the time.... Hmmm.... Now that I think about it, avoiding Vista altogether sounds better all the time. 

If you're looking for some great help around testing compatability with Vista, read David Chernicoff's excellent article about it at http://www.windowsitpro.com/Windows/Article/ArticleID/93783/93783.html.

Thoughts?

-Kevin